# digital_ocean_image_info – Gather information about DigitalOcean images

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to gather information about DigitalOcean provided images.
- These images can be either of type `distribution`, `application` and `private`.
- This module was called `digital_ocean_image_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_image_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

image_type
-

Choices:
- all ←
- application
- distribution
- private

Specifies the type of image information to be retrieved.
If set to `application`, then information are gathered related to all application images.
If set to `distribution`, then information are gathered related to all distribution images.
If set to `private`, then information are gathered related to all private images.
If not set to any of above, then information are gathered related to all images.

oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all images
      digital_ocean_image_info:
        image_type: all
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about application images
      digital_ocean_image_info:
        image_type: application
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about distribution images
      digital_ocean_image_info:
        image_type: distribution
        oauth_token: "{{ oauth_token }}"

    - name: Get distribution about image with slug coreos-beta
      digital_ocean_image_info:
      register: resp_out
    - set_fact:
        distribution_name: "{{ item.distribution }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?slug=='coreos-beta']"
    - debug: var=distribution_name

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean image information Sample: [{'created_at': '2018-02-02T07:11:43Z', 'distribution': 'CoreOS', 'id': 31434061, 'min_disk_size': 20, 'name': '1662.1.0 (beta)', 'public': True, 'regions': ['nyc1', 'sfo1', 'nyc2', 'ams2', 'sgp1', 'lon1', 'nyc3', 'ams3', 'fra1', 'tor1', 'sfo2', 'blr1'], 'size_gigabytes': 0.42, 'slug': 'coreos-beta', 'type': 'snapshot'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.